<div id="model-objectif" class="modal fade" role="dialog">
    <div class="modal-dialog">


        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <center><h4 class="modal-title"> OBJECTIFS </h4></center>
               
                <div class="alert alert-block alert-success message_flash_success" style="display: none;"></div>
                <div class="alert alert-block alert-danger message_flash_error" style="display: none;"></div>

                <div class="alert alert-block alert-info message_flash_info1" style="display: none;">

                </div>

            </div>
            <div class="modal-body"> 
                {% for stag in stage.groupe.stage %}

                    <div class="row">

                        {% for objectif1 in stag.objNiv1 %}

                            <div class="col-xs-12  widget-container-col ui-sortable" id="widget-container-col-4">
                                <div class="widget-box widget-color-blue  ui-sortable-handle collapsed" id="widget-box-4">
                                    <div class="widget-header widget-header-small ">
                                        <h4 class="widget-title" style='font-size: 14px;'>{{objectif1.designation}}</h4>

                                        <div class="widget-toolbar">
                                            <ul class="dropdown-menu dropdown-yellow dropdown-menu-right dropdown-caret dropdown-close">

                                            </ul>

                                            <a href="#" data-action="collapse">
                                                <i class="ace-icon fa fa-chevron-down"></i>
                                            </a>


                                        </div>
                                    </div>

                                    <div class="widget-body" style="display: none;">
                                        <div class="widget-main">
                                            <div class="row">

                                                <div class="col-sm-12">


                                                    {% for objectif2 in objectif1.objNiv2 %}

                                                        <div id="accordion" class="accordion-style1 panel-group " >




                                                            <div class="panel panel-default">
                                                                <div class="panel-heading">
                                                                    <h4 class="panel-title  " >
                                                                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseThree{{objectif2.id }}" aria-expanded="false">
                                                                            <i class="ace-icon fa fa-angle-right bigger-110" data-icon-hide="ace-icon fa fa-angle-down" data-icon-show="ace-icon fa fa-angle-right"></i>
                                                                            &nbsp;{{objectif2.designation}}
                                                                        </a>
                                                                    </h4>
                                                                </div>

                                                                <div class="panel-collapse collapse" id="collapseThree{{objectif2.id }}" aria-expanded="false">
                                                                    <div class="panel-body">
                                                                        {% for objectif3 in objectif2.objNiv3 %}
                                                                            {% set foo = 0 %}
                                                                            {% for objectif in obj %}

                                                                                {% if objectif3.id== objectif.objNiveau3.id %}
                                                                                    {% set foo = 1 %}
                                                                                    <div class="checkbox">
                                                                                        <label>
                                                                                            <div class='row'>
                                                                                                
                                                                                                     <input name="form-field-checkbox"  class="niv3 ace ace-checkbox-2" ref='{{objectif3.id}}' type="checkbox" checked="checked">
                                                                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                                                                
                                                                                              
                                                                                                     <span class="lbl lbl2">{{objectif3.designation}}</span>
                                                                                                
                                                                                            </div>
                                                                                            
                                                                                           
                                                                                           
                                                                                        </label>
                                                                                    </div>



                                                                                {% endif %}



                                                                            {% endfor %} 
                                                                            {% if foo==0 %}
                                                                                
                                                                                
                                                                                
                                                                                       <div class="checkbox">
                                                                                        <label>
                                                                                            <div class='row'>
                                                                                                
                                                                                                     <input name="form-field-checkbox"  class="niv3 ace ace-checkbox-2" ref='{{objectif3.id}}' type="checkbox" >
                                                                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                                                                
                                                                                              
                                                                                                     <span class="lbl lbl2">{{objectif3.designation}}</span>
                                                                                                
                                                                                            </div>
                                                                                            
                                                                                           
                                                                                           
                                                                                        </label>
                                                                                    </div>
                                                                      
                                                                              
                                                                            {% endif %}
                                                                        {% endfor %} 
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    {% endfor %}                    
                                                </div>
                                            </div>             
                                        </div> 
                                    </div> 
                                </div> 


















                            </div>

                        {% endfor %}


                    </div>
                {% endfor %}
<hr/>
                <div align="right" style="margin-right: 13.9px;">

                    <button type="button" class="btn btn-secondary" data-dismiss="modal" style="padding: 3px 20px; margin-right: -14px;">Fermer</button>
                </div>
            </div> 
        </div>
    </div>


    <script>


        $('.niv3').click(function (e) {
            var a = $(this).attr("ref");
            $(".message_flash_success").hide();
            $(".message_flash_error").hide();
            $(".message_flash_info1").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
            //alert(a);

            if ($(this).is(":checked"))
            {
              

                $.ajax({
                    type: 'GET',
                    url: Routing.generate('patient_niv3', {id: a}),
                    success: function (result) {
                        var parsed = jQuery.parseJSON(result);
                        $(".message_flash_error").hide();
                        $(".message_flash_info1").hide();
                        $(".message_flash_success").show().html("<i class='ace-icon fa fa-check'></i> " + parsed.data);
                        


                    }
                });




            } else {

                $.ajax({
                    type: 'GET',
                    url: Routing.generate('patient_niv3', {id: a}),
                    success: function (result) {
                        var parsed = jQuery.parseJSON(result);
                         $(".message_flash_error").hide();
                        $(".message_flash_info1").hide();
                        $(".message_flash_success").show().html("<i class='ace-icon fa fa-check'></i> " + parsed.data);
                        




                    }
                });


            }



        });
    </script>